const rl = @import("raylib");

fn rgb(r: u8, g: u8, b: u8) rl.Color {
    return rl.Color.init(r, g, b, 255);
}

// Primary
pub const black          = rgb(28 , 27 , 25 );
pub const red            = rgb(239, 47 , 39 );
pub const green          = rgb(81 , 159, 80 );
pub const yellow         = rgb(251, 184, 41 );
pub const blue           = rgb(44 , 120, 191);
pub const magenta        = rgb(224, 44 , 109);
pub const cyan           = rgb(10 , 174, 179);
pub const white          = rgb(186, 166, 127);
pub const bright_black   = rgb(145, 129, 117);
pub const bright_red     = rgb(247, 83 , 65 );
pub const bright_green   = rgb(152, 188, 55 );
pub const bright_yellow  = rgb(254, 208, 110);
pub const bright_blue    = rgb(104, 168, 228);
pub const bright_magenta = rgb(255, 92 , 143);
pub const bright_cyan    = rgb(43 , 228, 208);
pub const bright_white   = rgb(252, 232, 195);

// Secondary
pub const orange        = rgb(255, 95, 0);
pub const bright_orange = rgb(255, 135, 0);
pub const hard_black    = rgb(18, 18, 18);
pub const teal          = rgb(0, 128, 128);

// Grays
pub const xgray1  = rgb(38 , 38 , 38 );
pub const xgray2  = rgb(48 , 48 , 48 );
pub const xgray3  = rgb(58 , 58 , 58 );
pub const xgray4  = rgb(68 , 68 , 68 );
pub const xgray5  = rgb(78 , 78 , 78 );
pub const xgray6  = rgb(88 , 88 , 88 );
pub const xgray7  = rgb(98 , 98 , 98 );
pub const xgray8  = rgb(108, 108, 108);
pub const xgray9  = rgb(118, 118, 118);
pub const xgray10 = rgb(128, 128, 128);
pub const xgray11 = rgb(138, 138, 138);
pub const xgray12 = rgb(148, 148, 148);
